package com.tax.file.utils.invoice;
/** 
 * 发票单元格读取实例工厂
 * 
 * */ 
public class InvoiceCellReadFactory {

	public static InvoiceCellRead getInstance(String type){
		InvoiceCellRead invoiceCellRead = null;
		switch(type){
			case "01"://专票
				invoiceCellRead = SpecialInvoiceCellRead.getInstance();
				break;
			case "03"://机动车
				invoiceCellRead = CarInvoiceCellRead.getInstance();
				break;
			case "04"://普票
				invoiceCellRead = GeneralInvoiceCellRead.getInstance();
				break;
			case "14"://通行费
				invoiceCellRead = TollsInvoiceCellRead.getInstance();
				break;
			case "10"://电票
				invoiceCellRead = ElectricInvoiceCellRead.getInstance();
				break;
			case "11"://卷票
				invoiceCellRead = VolumeInvoiceCellRead.getInstance();
				break;
			case "15"://二手车
				invoiceCellRead = OldCarInvoiceCellRead.getInstance();
				break;
			case "17"://海关缴款书
				invoiceCellRead = FinCuspayCellRead.getInstance();
				break;
		}
		
		return invoiceCellRead;
	}
}
